Arcgis for Android:Debug

CompilerCompliance level:

今天将ADT更新了下,导入以前的工程,eclipse报了如下错误:

Android requires compiler compliance level 5.0 or6.0. Found '1.7' instead. Pleaseuse Android Tools > Fix Project Properties.

按提示在工程文件上右键 -> AndroidTools-> Fix Project Properties ,无效。

手动打开ProjectProperties ->java Compiler -> 选上Enableproject specific settings-> 再选择 Compiler ComplianceLeave(选择任意一个非默认的值) -> OK

重复第2步,将Compiler Compliance level选为正确的值,OK

局域网测试:

    Eclipse中,如果在局域网条件下调试Android的话,url要使用IP地址的形式,因为此时域名得不到解析,除非局域网中有DNS服务器。

Usb连接自动断开:

Usb连接自动断开的问题,可能是因为设置了“锁屏幕后自动断开usb调试”,勾掉就好了。

再不行,用任务管理器关掉豌豆荚相关的进程,再重试连接

Unableto open sync connection:

    在使用手机调试程序的时候出现了java.io.IOException: Unable to open sync connection!这样的异常,尝试使用拔掉USB然后重新,插入,结果失败。再尝试,关掉USB调试,再重新开启USB调试,结果发现有驱动自动开始安装,安装完成之后,eclipse中device出现设备,调试完成,运行测试工程,正确通过。

    所以,解决java.io.IOException:Unableto open sync connection!方案:关掉USB调试,然后重新开启,豌豆荚连接异常时也可尝试此方法。

Layout:

    布局文件中,LinearLayout中控件的属性没有设置合适,可能导致显示不出来。

ADB.exe:

    Adb.exe在D:\ProgramFiles\Android\android-sdk\platform-tools中。这个经常和豌豆荚起冲突,导致真机上运行的时候报错,需注意。

Fix& Build Target:

    Androidrequires compiler compliance level 5.0or 6.0. Found '1.4' instead. Please useAndroid Tools > Fix ProjectProperties.此问题解决方法,右键找答案。太幼稚。

修改工程的android参数,右击工程,properties,然后,这样的话,自动生成的library就是2.3.3,而不是android2.2了。



Arcgisfor android 1.01:

1.01版本中的main.xml中没有url="http://services.arcgisonline.com/ArcGIS/rest/services/World_Street_Map/MapServer"/>,有时需要设置Run configuration。



阅读更多
文章标签: arcgis android
个人分类: GIS Android
想对作者说点什么? 我来说一句

没有更多推荐了,返回首页

关闭
关闭
关闭